# 花生壳SDK嵌入文档

## 一、创建花生壳应用 ##

登录Oray开发者平台(https://developer.oray.com/)，申请成为开发者。创建花生壳应用同时获得AppID和AppKey。
<br>
<br>

## 二、集成SDK

1、 指定AppID和AppKey，以及自定义信息采集字段， 启动花生壳核心程序phtunnel，命令行如下：

 ``` 
phtunnel.exe --appid=AppID --appkey=AppKey --deviceinfo=自定义信息采集字段 -d
 ```

命令行参数说明：
```
-h, --help       打印帮助
-s, --server     接口服务 ， 默认 https://hsk-embed.oray.com
-l, --log        写入日志文件, 默认 C:\Users\Q\phtunnel.log
-v, --verbose    打印日志而不是写入日志文件
-q, --qrcode     打印二维码
-n, —login       帐号密码登录
-r, --rpc        启用本地rpc，默认否
-c, --config     默认: C:\Users\Q\phtunnel.json
-p, --pid        pid 文件, 默认: C:\Users\Q\phtunnel.pid
-f, --forward    远程管理地址, default: 127.0.0.1:80
-d,--daemon      在linux系统中作为守护进程运行
-S,--service     在windows系统中作为服务运行
-i,--appid       App ID(花生壳应用ID)
-k,--appkey      App Key(花生壳应用Key)
-e,--deviceinfo  用户自定义数据(自定义信息采集, 格式： "name":value; "name2":value2, ...)

```


2、 集成扫码登录和管理接口


1).获取SN 和 密码 接口

接口 | 获取SN 和 密码 接口
- | -
地址 | http://127.0.0.1:16062/ora_service/getsn 
方法 | GET
参数 | 无
返回格式 | Json
返回数据 | { <br>"result_code":0, // 非0代表错误<br>"data":{<br> "device_sn":"设备SN",<br>"device_sn_pwd":"设备密码",<br>"status":1,  在线状态 重试(3), 登录中(2) 在线(1), 离线(0)<br>"public_ip":"116.235.167.135" // 公网IP<br>}<br>}



<br>
<br>

2).二维码刷新接口

接口|获取二维码的图片地址以及二维码有效期
-|-
地址|https://hsk-embed.oray.com/devices/qrcode
方法|POST
参数|{<br>"sn": "设备sn",<br> "password": "设备密码"<br>}
参数类型<br>Content-Type| application/json
返回格式|Json
返回数据|{<br>"qrcode":"二维码地址", <br>"qrcodeimg":"二维码图片地址", <br>"expires":有效期 <br> }


<br>
<br>

3). 映射管理接口

接口|映射管理接口返回管理url，自动登录b.oray.com进行映射管理。
-|-
地址|http://127.0.0.1:16062/ora_service/getmgrurl
方法|GET
参数|无
返回格式|Json
返回数据|{<br>"result_code":0, <br>"data": <br>{<br> "url":"https://xxxx/xxxx", // 为空时说明没有登录帐号<br>"account":"Oray帐号"<br>}<br>}


<br>
<br>
4). 设备帐号解绑接口

接口|如果当前已登录帐号，则退出当前帐号并解绑。
-|-
地址|https://hsk-embed.oray.com/devices/unbinding
方法|POST
参数|{<br>"sn": "设备sn",<br> "password": "设备密码"<br>}
参数类型<br>Content-Type| application/json
返回格式|无
返回数据|成功：HTTP状态码为200， 失败：HTTP状态码为500



# 三、测试花生壳应用
在开发平台创建的应用，默认时调试状态，需要增加测试的花生壳帐号，应用发布前只有添加的测试帐号才能登录使用成功。通过测试后才能发布花生壳应用。

如需了解更多相关信息，请访问https://open.oray.com/guide